/*! For license information please see src_components_faceRecognition_FaceRecognition_tsx-src_components_shared_organisms_Player_Ove-59cc90.a810eba2a0194c5f16e6.js.LICENSE.txt */
/*! @ohtomi-preamble version: 8.1.0, name:src_components_faceRecognition_FaceRecognition_tsx-src_components_shared_organisms_Player_Ove-59cc90 */

import type React from "react";
import { useCallback, useEffect, useMemo, useRef, useState } from "react";
import { jsx, jsxs } from "react/jsx-runtime";

import "@types/global";
import type axios from "axios";
import { useMutation } from "@tanstack/react-query";

declare global {
	interface Window {
		SENTRY_ENVIRONMENT?: string;
		SENTRY_DSN?: string;
		SENTRY_RELEASE?: {
			id?: string;
		};
		SENTRY_SDK_SOURCE?: SdkSource;
		/**
		 * Debug IDs are indirectly injected by Sentry CLI or bundler plugins to directly reference a particular source map
		 * for resolving of a source file. The injected code will place an entry into the record for each loaded bundle/JS
		 * file.
		 */
		_sentryDebugIds?: Record<string, string>;
		/**
		 * Raw module metadata that is injected by bundler plugins.
		 *
		 * Keys are `error.stack` strings, values are the metadata.
		 */
		_sentryModuleMetadata?: Record<string, any>;
		_sentryEsmLoaderHookRegistered?: boolean;

		dataLayer: Record<string, any>[]; // Google Tag Manager dataLayer
	}

	var dataLayer: Record<string, any>[]; // Google Tag Manager dataLayer
}

try {
	const e =
		"undefined" !== typeof window
			? window
			: "undefined" !== typeof global
				? global
				: "undefined" !== typeof globalThis
					? globalThis
					: "undefined" !== typeof self
						? self
						: ({} as typeof globalThis);
	const t = new e.Error().stack;
	t &&
		((e._sentryDebugIds = e._sentryDebugIds || {}),
		(e._sentryDebugIds[t] = "78ff2760-29f1-40c0-a35f-3f4f11d9a7f9"),
		(e._sentryDebugIdIdentifier =
			"sentry-dbid-78ff2760-29f1-40c0-a35f-3f4f11d9a7f9"));
} catch (e) {}
("undefined" !== typeof window
	? window
	: "undefined" !== typeof global
		? global
		: "undefined" !== typeof globalThis
			? globalThis
			: "undefined" !== typeof self
				? self
				: {}).SENTRY_RELEASE = { id: "ohtomi@8.1.0" };
(self.webpackChunkOhtomi = self.webpackChunkOhtomi || []).push([
	[
		"src_components_faceRecognition_FaceRecognition_tsx-src_components_shared_organisms_Player_Ove-59cc90",
	],
	{
		98024: setupCameraDevice,
		81801: _81801,
		77177: _77177,
		60616: _60616,
		21721: _21721,
		41233: _41233,
		58169: _58169,
		49474: _49474,
		26237: _26237,
	},
]);

function setupCameraDevice(e, t, n) {
	n.d(t, { B: () => setupCameraDeviceImpl });

	function setupCameraDeviceImpl({ disabled = !1, storedDevice } = {}) {
		const [error, setError] = useState(null);
		const [inputDevices, setInputDevices] = useState<MediaDeviceInfo[]>([]);
		const [mediaDeviceInfo, setMediaDeviceInfo] = useState<MediaDeviceInfo>();

		const l = useCallback(async () => {
			try {
				await navigator.mediaDevices
					.getUserMedia({ video: !0 })
					.then((mediaStream) => {
						// biome-ignore lint/complexity/noForEach: <explanation>
						mediaStream.getTracks().forEach((mediaTrack) => {
							mediaStream.removeTrack(mediaTrack), mediaTrack.stop();
						});
					}),
					await navigator.mediaDevices
						.enumerateDevices()
						.then((MediaDevices) => {
							setError(null);

							const videoInputDevices = MediaDevices.filter(
								(mediaDevice) =>
									mediaDevice.kind === "videoinput" && mediaDevice.label !== "",
							);
							if (
								(setInputDevices(videoInputDevices),
								!mediaDeviceInfo ||
									!videoInputDevices.some(
										(videoInputDevice) =>
											videoInputDevice.deviceId === mediaDeviceInfo.deviceId ||
											videoInputDevice.label === mediaDeviceInfo.label,
									))
							) {
								let a;
								let r;
								const e =
									null !==
										(a =
											null !==
												(r = videoInputDevices.find(
													({ deviceId: e }) =>
														e ===
														(null == storedDevice
															? void 0
															: storedDevice.deviceId),
												)) && void 0 !== r
												? r
												: videoInputDevices.find(
														({ label: e }) =>
															e ===
															(null == storedDevice
																? void 0
																: storedDevice.label),
													)) && void 0 !== a
										? a
										: videoInputDevices[0];
								if (null == e)
									throw new Error("利用可能なカメラデバイスが存在しません");
								setMediaDeviceInfo(e);
							}
						});
			} catch (e) {
				setError(e);
			}
		}, [
			mediaDeviceInfo,
			null == storedDevice ? void 0 : storedDevice.deviceId,
			null == storedDevice ? void 0 : storedDevice.label,
		]);

		const d = useCallback(
			(e) => {
				setMediaDeviceInfo(
					null == inputDevices
						? void 0
						: inputDevices.find((inputDevice) => inputDevice.deviceId === e),
				);
			},
			[inputDevices],
		);

		return (
			useEffect(
				() =>
					disabled
						? (setError(null),
							setInputDevices([]),
							setMediaDeviceInfo(void 0),
							() => {})
						: (l(),
							navigator.mediaDevices.addEventListener("devicechange", l),
							() =>
								navigator.mediaDevices.removeEventListener("devicechange", l)),
				[disabled, l],
			),
			{
				error: error,
				availableDevices: inputDevices,
				currentDevice: mediaDeviceInfo,
				select: d,
			}
		);
	}
}

function _81801(e, t, n) {
	n.d(t, { y: () => impl });
	const o = n(78685);
	const r = "camera-device";
	function impl() {
		const [e, t] = (0, o.A)(r, void 0, {
			raw: !1,
			serializer: (e) => JSON.stringify(e),
			deserializer: (e) => JSON.parse(e),
		});
		const n = useCallback((e) => t(e), [t]);
		return { device: e, save: n };
	}
}

function _77177(e, t, n) {
	n.d(t, { j: () => C });
	const o: typeof setupCameraDevice = n(98024);
	const r: typeof _81801 = n(81801);
	const _25 = Math.floor(25.5); // 25
	const captureOptions = { width: 440, height: 440, type: "image/jpeg" };
	function c({ status, onStatusChanged, onCapture, onError }) {
		const { device: storedDevice } = (0, r.y)();

		// setupCameraDevice
		const { currentDevice } = (0, o.B)({ storedDevice: storedDevice });
		const { captureImage } = (({ deviceId }) => ({
			captureImage: useCallback(
				async ({
					width: outputWidth,
					height: outputHeight,
					type: outputFormat,
					quality: outputQuality,
				}: {
					// maybe
					width: number;
					height: number;
					type: string;
					quality?: number;
				}) => {
					const cameraStream = await navigator.mediaDevices.getUserMedia({
						video: {
							deviceId: deviceId ? { exact: deviceId } : void 0,
							width: outputWidth,
							height: outputHeight,
						},
					});

					const videoTrack = cameraStream.getVideoTracks()[0];

					if (null == videoTrack)
						throw new Error("映像トラックを取得できませんでした");

					const { width: streamWidth, height: streamHeight } =
						videoTrack.getSettings();
					if (null == streamWidth || null == streamHeight)
						throw new Error("映像の幅と高さを取得できませんでした");

					try {
						const videoElement = document.createElement("video");
						(videoElement.width = streamWidth),
							(videoElement.height = streamHeight),
							(videoElement.srcObject = cameraStream),
							await videoElement.play();

						const canvasElement = document.createElement("canvas");
						(canvasElement.width = outputWidth),
							(canvasElement.height = outputHeight);

						const canvas2dContext = canvasElement.getContext("2d", {
							willReadFrequently: !0,
						});
						if (!canvas2dContext)
							throw new Error("Canvasの2Dコンテキスト取得に失敗しました");

						const elapsedTimer = performance.now() + 1e3;

						const halfDimensions = {
							x: Math.floor(outputWidth / 2),
							y: Math.floor(outputHeight / 2),
						};

						const calculatedCropArea = ((
							[streamWidth, streamHeight]: [number, number],
							[width, height]: [number, number],
						) => {
							const options = {
								src: streamWidth / streamHeight,
								dest: width / height,
							};
							return options.src < options.dest
								? {
										x: 0,
										y: (streamHeight - streamWidth / options.dest) / 2,
										width: streamWidth,
										height: streamWidth / options.dest,
									}
								: {
										x: (streamWidth - streamHeight * options.dest) / 2,
										y: 0,
										width: streamHeight * options.dest,
										height: streamHeight,
									};
						})([streamWidth, streamHeight], [outputWidth, outputHeight]);

						for (;;) {
							if (elapsedTimer <= performance.now())
								throw new Error(
									"カメラからの映像を待機する処理がタイムアウトしました",
								);
							if (
								(canvas2dContext.drawImage(
									videoElement,
									calculatedCropArea.x,
									calculatedCropArea.y,
									calculatedCropArea.width,
									calculatedCropArea.height,
								),
								Array.from(
									canvas2dContext.getImageData(
										halfDimensions.x,
										halfDimensions.y,
										1,
										1,
									).data,
								)
									.slice(0, 3)
									.some((e) => _25 <= e))
							)
								break;
							await new Promise((e) => setTimeout(e, 100));
						}

						const captureImage = await new Promise((res) =>
							canvasElement.toBlob(res, outputFormat, outputQuality),
						);
						if (!captureImage)
							throw new Error("Blobデータの生成に失敗しました");
						return captureImage;
					} finally {
						// biome-ignore lint/complexity/noForEach: <explanation>
						cameraStream.getTracks().forEach((e) => {
							e.stop(), cameraStream.removeTrack(e);
						});
					}
				},
				[deviceId],
			),
		}))({
			deviceId: null == currentDevice ? void 0 : currentDevice.deviceId,
		});
		const [h, p] = useState(!1);
		return (
			useEffect(() => {
				null == (null == currentDevice ? void 0 : currentDevice.deviceId) ||
					"progress" !== status ||
					h ||
					captureImage(captureOptions)
						.then((e) => {
							onStatusChanged("success"), onCapture(e);
						})
						.catch((e) => {
							onStatusChanged("failed"), onError(e);
						})
						.finally(() => {
							p(!0);
						});
			}, [
				captureImage,
				null == currentDevice ? void 0 : currentDevice.deviceId,
				h,
				onCapture,
				onError,
				onStatusChanged,
				status,
			]),
			null
		);
	}
	const l = n(35830);
	const d = n(73305);
	const u = n(74848);
	function renderStatus({ status, horizontalAlign }) {
		return jsxs(statusIndicatorComponent, {
			horizontalAlign: horizontalAlign,
			children: [
				"failed" !== status &&
					jsxs(u.Fragment, {
						children: [
							jsx(successCircle, {}),
							jsx(statusIndicatorText, { children: "認証中" }),
						],
					}),
				"failed" === status &&
					jsxs(u.Fragment, {
						children: [
							jsx(errorCircle, {}),
							jsx(statusIndicatorText, { children: "認証不可" }),
						],
					}),
			],
		});
	}
	const statusIndicatorComponent = l.default.div.withConfig({
		componentId: "sc-1rzrjyt-0",
	})(
		[
			"position:fixed;left:",
			";right:",
			";bottom:",
			"px;z-index:1;display:inline-flex;padding:",
			"px ",
			"px;justify-content:center;align-items:center;gap:",
			"px;border-radius:99px;color:",
			";background-color:",
			";",
		],
		({ horizontalAlign, theme }) =>
			"left" === horizontalAlign ? `${theme.space[4]}px` : void 0,
		({ horizontalAlign, theme }) =>
			"right" === horizontalAlign ? `${theme.space[4]}px` : void 0,
		({ theme }) => theme.space[4],
		({ theme }) => theme.space[1],
		({ theme }) => theme.space[2],
		({ theme }) => theme.space[1],
		({ theme }) => theme.colors.white,
		({ theme }) => theme.colors.transparent.blackClear20,
	);
	const statusIndicatorText = l.default.div.withConfig({
		componentId: "sc-1rzrjyt-1",
	})(["color:", ";font-size:1.2rem;"], ({ theme }) => theme.colors.white);
	const successCircle = (0, l.default)(d.A)
		.attrs({ type: "capture-face-progress", size: "8px" })
		.withConfig({ componentId: "sc-1rzrjyt-2" })(
		["color:", ";"],
		({ theme }) => theme.colors.accent5,
	);
	const errorCircle = (0, l.default)(d.A)
		.attrs({ type: "capture-face-error", size: "8px" })
		.withConfig({ componentId: "sc-1rzrjyt-3" })(
		["color:", ";"],
		({ theme }) => theme.colors.warning,
	);
	const m = Symbol("result");
	const w: {
		A: typeof axios;
	} = n(71083);
	const y = n(53110);
	const x = n(78776);
	const b = w.A.create({ baseURL: x.A.horusApiEndPoint });
	const k = {
		uploadImageAsync: async ({ sessionId, image }) => {
			const n = w.A.toFormData({ image: image });
			return await b
				.post(`/sessions/${sessionId}/images/async`, n, {
					headers: { "Content-Type": "multipart/form-data" },
				})
				.then((e) => {
					return (0, y.F0)(e)
						? ((t = e), { [m]: "failure", error: t })
						: ((e) => ({ [m]: "success", data: e }))(e.data);
					let t;
				});
		},
	};
	const I = n(80724);
	function C({ capture, horizontalAlign, contextDetail }) {
		const [status, setStatus] = useState("");
		const { device } = (0, r.y)();
		const { currentDevice, error } = (0, o.B)({ storedDevice: device });
		const [mediaStream, setMediaStream] = useState<MediaStream>();
		const [UnknownW, setUnknownW] = useState("");
		const unknownRef = useRef(!1);
		useEffect(() => {
			null == status &&
				(null == error ? null != currentDevice && setStatus("progress") : setStatus("failed"));
		}, [currentDevice, error, status]),
			useEffect(() => {
				switch (status) {
					case "progress":
					case "success":
						null == mediaStream &&
							navigator.mediaDevices
								.getUserMedia({ video: !0 })
								.then((e) => setMediaStream(e));
				}
			}, [status, mediaStream]),
			useEffect(
				() => () => {
					mediaStream &&
						(mediaStream.getTracks().forEach((e) => {
							null == mediaStream || mediaStream.removeTrack(e), e.stop();
						}),
						setMediaStream(void 0));
				},
				[mediaStream],
			);
		const x = (0, I.R)();
		useEffect(() => {
			let e;
			(null == (null == currentDevice ? void 0 : currentDevice.deviceId) && null == error) ||
				UnknownW ||
				unknownRef.current ||
				((unknownRef.current = !0),
				(async (e, t, n) => {
					try {
						return await e
							.postV3RecognitionFacesSession({ camera: t, detail: n })
							.then((e) => {
								if (!e.data.recognitionSessionId) throw new Error();
								return e.data.recognitionSessionId;
							});
					} catch {
						return "";
					}
				})(
					x,
					null !== (e = null == currentDevice ? void 0 : currentDevice.label) && void 0 !== e ? e : "",
					contextDetail,
				).then((e) => {
					setUnknownW(e), e || setStatus("failed");
				}));
		}, [
			x,
			contextDetail,
			null == currentDevice ? void 0 : currentDevice.deviceId,
			null == currentDevice ? void 0 : currentDevice.label,
			error,
			UnknownW,
		]);
		const onCapture = useCallback(
			async (e) => {
				if (!UnknownW)
					throw (
						(setStatus("failed"), new Error("本人認証のセッションIDが不正です"))
					);
				e &&
					(await (async (e, t) => {
						try {
							return await k
								.uploadImageAsync({ sessionId: e, image: t })
								.then((e) => ((e) => "success" === e[m])(e));
						} catch {
							return !1;
						}
					})(UnknownW, e).then((e) => {
						setStatus(e ? "success" : "failed");
					}));
			},
			[UnknownW],
		);
		const onError = useCallback(() => {}, []);
		const _ = useMemo(
			() =>
				capture && "progress" === status && UnknownW
					? jsx(c, {
							status: status,
							onStatusChanged: setStatus,
							onCapture: onCapture,
							onError: onError,
						})
					: null,
			[capture, onCapture, onError, UnknownW, status],
		);
		return jsxs(u.Fragment, {
			children: [
				_,
				status && jsx(renderStatus, { status: status, horizontalAlign: horizontalAlign }),
			],
		});
	}
}

function _60616(e, t, n) {
	n.d(t, { v: () => r });
	const a = n(35830);
	const o = n(62851);
	const r = (0, a.default)(o.A).withConfig({ componentId: "sc-131fzem-0" })([
		"font-size:40px;opacity:1;&:hover{cursor:pointer;}",
	]);
}

function _21721(e, t, n) {
	n.d(t, { b: () => p });
	const a = n(63998);
	const o = n(35830);
	const r: typeof React = n(96540);
	const i = n(74848);
	const s = ({ rate: e, currentRate: t, onClick: n }) => {
		const a = useCallback(() => {
			n(e);
		}, [e, n]);
		const o = Math.abs(e - t) < 0.001;
		return jsx(c, { selected: o, onClick: a, children: `x${e}` });
	};
	const c = o.default.button.withConfig({ componentId: "sc-1iiy24x-0" })(
		[
			"display:flex;width:48px;height:27px;font-size:13px;font-weight:700;align-items:center;color:",
			";justify-content:center;border-radius:2px;padding:2px;margin:2px;background-color:",
			";border:",
			";&:hover{background-color:",
			";cursor:pointer;}",
		],
		({ theme: e }) => e.colors.white,
		({ theme: e }) => e.colors.black,
		({ selected: e, theme: t }) =>
			e
				? `2px solid ${t.colors.white}`
				: `1px solid ${t.colors.gray.darkness2}`,
		({ theme: e }) => e.colors.primary,
	);
	function l({
		currentPlaybackRate: e,
		isHover: t,
		isOpenRateList: n,
		onChangeRateItem: r,
		onMouseEnter: c,
		onMouseLeave: l,
		...u
	}) {
		const h = (0, o.useTheme)();
		return jsxs(d, {
			width: "108px",
			height: "128px",
			justifyContent: "center",
			py: "2px",
			px: "2px",
			bg: h.colors.black,
			sx: { borderRadius: "4px" },
			onMouseEnter: c,
			onMouseLeave: l,
			...u,
			$_css: t && n ? "flex" : "none",
			children: [
				jsxs(a.so, {
					flexDirection: "column",
					children: [
						jsx(s, { rate: 1, currentRate: e, onClick: r }),
						jsx(s, { rate: 0.75, currentRate: e, onClick: r }),
						jsx(s, { rate: 0.5, currentRate: e, onClick: r }),
					],
				}),
				jsxs(a.so, {
					flexDirection: "column",
					children: [
						jsx(s, { rate: 1.25, currentRate: e, onClick: r }),
						jsx(s, { rate: 1.5, currentRate: e, onClick: r }),
						jsx(s, { rate: 1.75, currentRate: e, onClick: r }),
						jsx(s, { rate: 2, currentRate: e, onClick: r }),
					],
				}),
			],
		});
	}
	const d = (0, o.default)(a.so).withConfig({ componentId: "sc-v2jbux-0" })(
		(e) => ({ display: e.$_css }),
	);
	const u: typeof _60616 = n(60616);
	const h = (0, o.default)(u.v).withConfig({ componentId: "sc-16km7w-0" })(
		["color:", ";&:hover{color:", ";}"],
		({ theme: e }) => e.colors.white,
		({ theme: e }) => e.colors.primary,
	);
	const p = ({ playbackRate: e, playbackRatesDropdownMenuProps: t }) => {
		const {
			isHover: n,
			isOpenRateList: o,
			handleMouseEnter: r,
			handleMouseLeave: s,
			handleRateItemButton: c,
			handleRateIcon: d,
		} = t;
		return jsxs(a.so, {
			sx: { position: "relative" },
			children: [
				jsxs(a.az, {
					width: "80px",
					height: "80px",
					p: 5,
					children: [
						jsx(a.az, {
							width: "20px",
							height: "20px",
							sx: { position: "absolute", left: "0", top: "40px" },
							onMouseEnter: r,
							onMouseLeave: s,
						}),
						jsx(h, {
							type: `playback-rate-${`${e}`.replace(".", "-")}`,
							onClick: d,
							onMouseEnter: r,
							onMouseLeave: s,
						}),
						jsx(a.az, {
							width: "20px",
							height: "20px",
							sx: { position: "absolute", right: "0", top: "40px" },
							onMouseEnter: r,
							onMouseLeave: s,
						}),
					],
				}),
				jsx(l, {
					currentPlaybackRate: e,
					isHover: n,
					isOpenRateList: o,
					onChangeRateItem: c,
					onMouseEnter: r,
					onMouseLeave: s,
					sx: { position: "absolute", left: "-12px", top: "60px" },
				}),
			],
		});
	};
}

function _41233(e, t, n) {
	n.d(t, { y: () => o });
	const a: typeof React = n(96540);
	function o({ changePlaybackRate: e }) {
		const [t, n] = useState(!1);
		const [o, r] = useState(!1);
		return {
			isHover: t,
			isOpenRateList: o,
			handleMouseEnter: useCallback(() => {
				n(!0), r(!0);
			}, []),
			handleMouseLeave: useCallback(() => {
				n(!1), r(!1);
			}, []),
			handleRateItemButton: useCallback(
				(t) => {
					e(t), r(!1);
				},
				[e],
			),
			handleRateIcon: useCallback(() => {
				r(!0);
			}, []),
		};
	}
}

function _58169(e, t, n) {
	n.d(t, { A: () => c });
	const a = n(57097);
	const o = n(53110);
	const r = n(80724);
	const i = n(70195);
	const s = n(21137);
	const c = () => {
		const e = (0, r.R)();
		const { showSnackbar: t } = (0, i.d)(s);
		const { mutate: n } = useMutation({
			mutationFn: e.postLearningAmounts,
			retry: (e, n) => {
				if (e > 2)
					return (
						t({
							id: Date.now(),
							type: "info",
							message: "学習数を記録できませんでした",
							actionLabel: "学習数とは",
							onClick: () => {
								window.open("/help#learning_amount", "_blank", "noopener");
							},
						}),
						!1
					);
				const a = !n.response;
				const r = n.code === o.pe.ECONNABORTED;
				return a || r;
			},
			retryDelay: 1e3,
		});
		return { addLearningAmounts: n };
	};
}

function _49474(e, t, n) {
	n.d(t, { J: () => o });
	const a: typeof React = n(96540);
	function o(e) {
		const [t, n] = useState("prompt");
		return (
			useEffect(() => {
				null != e &&
					(e
						? navigator.mediaDevices
								.getUserMedia({ video: !0 })
								.then((e) => {
									e.getTracks().forEach((t) => {
										t.stop(), e.removeTrack(t);
									}),
										n("granted");
								})
								.catch(() => {
									n("denied");
								})
						: n("granted"));
			}, [e]),
			!1 === e || "prompt" !== t
		);
	}
}

function _26237(e, t, n) {
	function a({
		courseId,
		chapterId,
		materialId,
		title,
		courseType,
		materialType,
	}) {
		let s;
		if (void 0 === courseId && void 0 === chapterId)
			(window.dataLayer =
				null !== (s = window.dataLayer) && void 0 !== s ? s : []),
				window.dataLayer.push({
					event: "video_view",
					zane_analytics: {
						material_id: String(materialId),
						title: title,
						content_type: o(courseType),
						material_type: materialType,
					},
				});
		else if (void 0 === courseId) {
			let c;
			(window.dataLayer =
				null !== (c = window.dataLayer) && void 0 !== c ? c : []),
				window.dataLayer.push({
					event: "video_view",
					zane_analytics: {
						chapter_id: String(chapterId),
						material_id: String(materialId),
						title: title,
						content_type: o(courseType),
						material_type: materialType,
					},
				});
		} else if (void 0 === chapterId) {
			let l;
			(window.dataLayer =
				null !== (l = window.dataLayer) && void 0 !== l ? l : []),
				window.dataLayer.push({
					event: "video_view",
					zane_analytics: {
						course_id: String(courseId),
						material_id: String(materialId),
						title: title,
						content_type: o(courseType),
						material_type: materialType,
					},
				});
		} else {
			let d;
			(window.dataLayer =
				null !== (d = window.dataLayer) && void 0 !== d ? d : []),
				window.dataLayer.push({
					event: "video_view",
					zane_analytics: {
						course_id: String(courseId),
						chapter_id: String(chapterId),
						material_id: String(materialId),
						title: title,
						content_type: o(courseType),
						material_type: materialType,
					},
				});
		}
	}
	function o(e) {
		switch (e) {
			case "basic":
				return "高校必修";
			case "advanced":
				return "課外";
			case "zen_univ":
				return "大学履修";
		}
	}
	n.d(t, { d: () => a });
}
