declare global {
	interface Window {
		SENTRY_ENVIRONMENT?: string;
		SENTRY_DSN?: string;
		SENTRY_RELEASE?: {
			id?: string;
		};
		SENTRY_SDK_SOURCE?: SdkSource;
		/**
		 * Debug IDs are indirectly injected by Sentry CLI or bundler plugins to directly reference a particular source map
		 * for resolving of a source file. The injected code will place an entry into the record for each loaded bundle/JS
		 * file.
		 */
		_sentryDebugIds?: Record<string, string>;
		/**
		 * Raw module metadata that is injected by bundler plugins.
		 *
		 * Keys are `error.stack` strings, values are the metadata.
		 */
		_sentryModuleMetadata?: Record<string, any>;
		_sentryEsmLoaderHookRegistered?: boolean;

		dataLayer: Record<string, any>[]; // Google Tag Manager dataLayer
	}

	var dataLayer: Record<string, any>[]; // Google Tag Manager dataLayer
}
